## md5deep 1.9.3

=== Makefile ===

CC       = gcc
CFLAGS   = -Wall -O3
LINK_OPT = -lm

NAME     = md5deep
VERSION  = 1.9.3

# Where we get installed
PREFIX = /usr/local

# You can cross compile this program for Win32 using the MinGW compiler
# See README for details. Put the $PREFIX used to install MinGW in CR_BASE
# The values below are used by the developer on the test platforms

# On OS X:
CR_BASE = /Users/jessekornblum/bin/cross-tools/i386-mingw32msvc/bin

# On Linux:
#CR_BASE = /home/jessek/cross-tools/i386-mingw32msvc/bin

#---------------------------------------------------------------------
# You shouldn't need to change anything below this point
#---------------------------------------------------------------------

# This should be commented out when debugging is done
#CFLAGS += -O0 -D__DEBUG -ggdb

ALL_GOALS   = md5deep sha1deep sha256deep whirlpooldeep tigerdeep
ALL_ALGS    = md5,sha1,sha256,whirlpool,tiger
COMMA_GOALS = {$(ALL_ALGS)}deep

# Definitions we'll need later (and that should rarely change)
HEADER_FILES  = md5deep.h hashTable.h algorithms.h {$(ALL_ALGS)}.h
SRC  =  main.c match.c hashTable.c helpers.c dig.c files.c 
SRC +=  md5.c sha1.c hash.c cycles.c sha256.c whirlpool.c tiger.c
OBJ  =  main.o match.o helpers.o dig.o cycles.o hashTable.o
DOCS = Makefile README CHANGES $(MAN_PAGE)
WINDOC = README.txt CHANGES.txt

MAN_PAGE   = $(NAME).1
CFLAGS += -D VERSION=\"$(VERSION)\"

#---------------------------------------------------------------------
# OPERATING SYSTEM DIRECTIVES
#---------------------------------------------------------------------

all: linux

goals: $(OBJ) $(ALL_GOALS)

linux: CFLAGS += -D__LINUX -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
linux: goals

sunos: solaris
solaris: CC += -D__SOLARIS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
solaris: goals

# There are no additional defines for OS X as _APPLE_ is defined for us.
mac: goals

# This compiles a G5 only version 
macg5: CFLAGS += -fast
macg5: goals

unix: goals

# Common commands for compiling versions for Windows. 
# See cross and windows directives below.
win_general: LINK_OPT = -liberty
win_general: SUFFIX=.exe
win_general: goals
	$(STRIP) {$(COMMA_GOALS)}.exe

# Cross compiling from Linux to Windows. See README for more info
cross: CC = $(CR_BASE)/gcc $(RAW_FLAGS)
cross: STRIP = $(CR_BASE)/strip
cross: win_general

# See the README for information on Windows compilation
windows: STRIP = strip
windows: win_general 

#---------------------------------------------------------------------
# COMPILE THE PROGRAMS
#   This section must be updated each time you add an algorithm
#---------------------------------------------------------------------

files-tiger.o: files.c
	$(CC) $(CFLAGS) -c $< -o $@
hash-tiger.o: hash.c
	$(CC) $(CFLAGS) -c $< -o $@

TIGEROBJ = files-tiger.o hash-tiger.o tiger.o
tigerdeep: CC += -DTIGER
tigerdeep: $(OBJ) $(TIGEROBJ)
	$(CC) $(CFLAGS) $(OBJ) $(TIGEROBJ) -o $@$(SUFFIX) $(LINK_OPT)



files-whirlpool.o: files.c
	$(CC) $(CFLAGS) -c $< -o $@
hash-whirlpool.o: hash.c
	$(CC) $(CFLAGS) -c $< -o $@

WHIRLPOOLOBJ = files-whirlpool.o hash-whirlpool.o whirlpool.o
whirlpooldeep: CC += -DWHIRLPOOL
whirlpooldeep: $(OBJ) $(WHIRLPOOLOBJ)
	$(CC) $(CFLAGS) $(OBJ) $(WHIRLPOOLOBJ) -o $@$(SUFFIX) $(LINK_OPT)



files-md5.o: files.c
	$(CC) $(CFLAGS) -c $< -o $@
hash-md5.o: hash.c
	$(CC) $(CFLAGS) -c $< -o $@

MD5OBJ = files-md5.o hash-md5.o md5.o
md5deep: CC += -DMD5
md5deep: $(OBJ) $(MD5OBJ)
	$(CC) $(CFLAGS) $(OBJ) $(MD5OBJ) -o $@$(SUFFIX) $(LINK_OPT)



files-sha256.o: files.c
	$(CC) $(CFLAGS) -c $< -o $@
hash-sha256.o: hash.c
	$(CC) $(CFLAGS) -c $< -o $@

SHA256OBJ = files-sha256.o hash-sha256.o sha256.o
sha256deep: CC += -DSHA256
sha256deep: $(OBJ) $(SHA256OBJ)
	$(CC) $(CFLAGS) $(OBJ) $(SHA256OBJ) -o $@$(SUFFIX) $(LINK_OPT)



files-sha1.o: files.c
	$(CC) $(CFLAGS) -c $< -o $@
hash-sha1.o: hash.c
	$(CC) $(CFLAGS) -c $< -o $@
SHA1OBJ = files-sha1.o hash-sha1.o sha1.o
sha1deep: CC += -DSHA1
sha1deep: $(OBJ) $(SHA1OBJ)
	$(CC) $(CFLAGS) $(OBJ) $(SHA1OBJ) -o $@$(SUFFIX) $(LINK_OPT)


#---------------------------------------------------------------------
# INSTALLATION AND REMOVAL 
#---------------------------------------------------------------------

BIN = $(PREFIX)/bin
MAN = $(PREFIX)/man/man1

install: goals
	install -d $(BIN) $(MAN)
	install -m 755 $(ALL_GOALS) $(BIN)
	install -m 644 $(MAN_PAGE) $(MAN)
	ln -fs md5deep.1 $(MAN)/sha1deep.1
	ln -fs md5deep.1 $(MAN)/sha256deep.1
	ln -fs md5deep.1 $(MAN)/whirlpooldeep.1
	ln -fs md5deep.1 $(MAN)/tigerdeep.1

uninstall:
	rm -f -- $(BIN)/{$(COMMA_GOALS)}
	rm -f -- $(MAN)/{$(COMMA_GOALS)}.1

#---------------------------------------------------------------------
# CLEAN UP
#---------------------------------------------------------------------

# Anything in the code that needs further attention is marked with the
# letters 'RBF', which stand for "Remove Before Flight." This is similar
# to how aircraft are marked with streamers to indicate maintaince is
# required before the plane can fly. Typing 'make preflight' will do a
# check for all RBF tags; thus showing the developer what needs to be
# fixed before the program can be released.
preflight:
	@grep -n RBF *.1 *.h *.c README CHANGES

nice:
	rm -f -- *~

clean: nice
	rm -f -- *.o $(ALL_GOALS) $(WIN_DOC)
	rm -f -- {$(COMMA_GOALS)}.exe
	rm -f -- $(TAR_FILE).gz $(DEST_DIR).zip $(DEST_DIR).zip.gpg

#-------------------------------------------------------------------------
# MAKING PACKAGES
#-------------------------------------------------------------------------

EXTRA_FILES = 
DEST_DIR = $(NAME)-$(VERSION)
TAR_FILE = $(DEST_DIR).tar
PKG_FILES = $(SRC) $(HEADER_FILES) $(DOCS) $(EXTRA_FILES)
ZIP_FILES = {$(COMMA_GOALS)}.exe $(WINDOC) 

# This packages me up to send to somebody else
package:
	rm -f $(TAR_FILE) $(TAR_FILE).gz
	mkdir $(DEST_DIR)
	cp $(PKG_FILES) $(DEST_DIR)
	tar cvf $(TAR_FILE) $(DEST_DIR)
	rm -rf $(DEST_DIR)
	gzip $(TAR_FILE)


# This Makefile is designed for Mac OS X to package the file. 
# To do this on a linux box, The big line below starting with "/usr/bin/tbl"
# should be replaced with:
#
#	man ./$(MAN_PAGE) | col -bx > README.txt
#
# and the "flip -d" command should be replaced with unix2dos
#
# The flip command can be found at:
# http://ccrma-www.stanford.edu/~craig/utility/flip/#

win-doc:
#	man ./$(MAN_PAGE) | col -bx > README.txt
	/usr/bin/tbl ./$(MAN_PAGE) | /usr/bin/groff -S -Wall -mtty-char -mandoc -Tascii | /usr/bin/col -bx > README.txt
	cp CHANGES CHANGES.txt
#	unix2dos $(WINDOC)
	flip -d $(WINDOC)

cross-pkg: cross win-doc
	rm -f $(DEST_DIR).zip
	zip $(DEST_DIR).zip $(ZIP_FILES)
	rm -f $(WINDOC)

world: package cross-pkg

## md5deep 1.12

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 CC       = gcc
-CFLAGS   = -Wall -O3
+CFLAGS   = -Wall -W -O3
 LINK_OPT = -lm
 
 NAME     = md5deep
-VERSION  = 1.9.3
+VERSION  = 1.12
 
 # Where we get installed
 PREFIX = /usr/local
@@ -14,7 +14,8 @@
 # The values below are used by the developer on the test platforms
 
 # On OS X:
-CR_BASE = /Users/jessekornblum/bin/cross-tools/i386-mingw32msvc/bin
+CR_BASE = /usr/local/mingw32/mingw32/bin
+
 
 # On Linux:
 #CR_BASE = /home/jessek/cross-tools/i386-mingw32msvc/bin

## md5deep 3.9.1

=== debian/changelog ===
md5deep (3.9.1-1) unstable; urgency=low

  * Team upload.

  [ Christophe Monniez ]
  * Merging upstream version 3.9 (Closes: #626014)

  [ Julien Valroff ]
  * New upstream release 3.9.1
  * Switch to 3.0 (quilt) package source format
  * Use dh-autoreconf (Closes: #539420)
  * Bump debhelper compat to 8 
  * Bump Standards-Version to 3.9.2 (no changes needed) 

 -- Julien Valroff <julien@debian.org>  Fri, 03 Jun 2011 08:07:40 +0200

md5deep (3.7-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Bumping Standards-Version to 3.9.1.
  * Merging upstream version 3.7.
  * Updating quilt patch.

 -- Michael Prokop <mika@debian.org>  Mon, 21 Feb 2011 23:34:49 +0100

md5deep (3.6-1) unstable; urgency=low

  * Bump version number to address new upstream version.

 -- Michael Prokop <mika@debian.org>  Wed, 28 Jul 2010 15:54:33 -0400

md5deep (3.4-4) unstable; urgency=low

  [ Christophe Monniez ]
  * Adding a README.source.
  * Merging upstream version 3.6.
  * Updating quilt build depends.
  * Added a watch file.
  * Bumping standards version to 3.9.0.

 -- Michael Prokop <mika@debian.org>  Wed, 28 Jul 2010 11:51:41 -0400

md5deep (3.4-3) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding stuff in rules that doesn't get done by dh automatically.

  [ Michael Prokop ]
  * Update VCS headers (moved to alioth).
  * Bump Standards-Version to 3.8.3.
  * Build-Depend on debhelper (>= 7.0.50~).
  * Drop config.guess + config.sub from debian package / git tree.

 -- Michael Prokop <mika@debian.org>  Fri, 02 Oct 2009 11:09:16 +0200

md5deep (3.4-2) unstable; urgency=low

  * Minimizing rules file.
  * Adding patch from Franck Joncourt <franck.mail@dthconnex.com> to fix
    lintian warnings in manpage (Closes: #538911).

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Jul 2009 10:23:42 +0200

md5deep (3.4-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 3.4.

  [ Daniel Baumann ]
  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:06:16 +0200

md5deep (3.3-1) unstable; urgency=low

  * Merging upstream version 3.3.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 23:24:20 +0200

md5deep (3.1-2) unstable; urgency=low

  * Adding myself to copyright file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Prefixing debhelper files with package name.
  * Passing flags directly to configure.
  * Updating package to standards 3.8.1.
  * Tidy rules file.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 21:40:44 +0200

md5deep (3.1-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Initial release (Closes: #469063).

  [ Daniel Baumann ]
  * Removing useless empty line from changelog file.
  * Correcting typo in uploaders field of control file.
  * Updating vcs fields in control file.
  * Rewrapping package long-description in control file.
  * Sticking to upstream license text in copyright file.
  * Some cosmetic corrections in rules file.
  * Correct wrong binary targets in rules file.
  * Removing useless debhelper calls in binary-arch target of rules file.
  * Removing useless --infodir from configure call in rules file.
  * Adding NEWS and TODO file to docs.
  * Adding copyright information for hashdeep/lib-strsep.c to copyright file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 18 Sep 2008 18:55:00 +0200

## md5deep 3.9.2

=== debian/changelog ===
md5deep (3.9.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release

 -- Julien Valroff <julien@debian.org>  Sat, 17 Sep 2011 08:27:10 +0200

=== debian/control ===
Source: md5deep
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 8.0.0), autotools-dev
Standards-Version: 3.9.2
Homepage: http://md5deep.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=forensics/md5deep.git
Vcs-Git: git://git.debian.org/forensics/md5deep.git

Package: md5deep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Recursively compute hashsums or piecewise hashings
 Md5deep is a set of tools to compute md5, sha-1, sha-256, tiger, whirlpool
 hashsums of arbitrary number of files recursively.
 .
 It can also compare those hashsums with a list of known hashes. The tools can
 display those that match the list or those that does not match. It can display
 a time estimation when processing large files. It can do piecewise hashing
 (hashing input files in arbitrary sized blocks).

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev

## md5deep 4.2

=== debian/changelog ===
md5deep (4.2-1) unstable; urgency=low

  [ Christophe Monniez ]
  * [ef64dec] Removing man pages patch.
  * [bddcf44] Disabling tests.

  [ Michael Prokop ]
  * [beb4f6a] Merging upstream version 4.2
  * [f6d6370] Bump Standards-Version to 3.9.3.

 -- Michael Prokop <mika@debian.org>  Thu, 14 Jun 2012 18:00:02 +0200

md5deep (4.1-1) unstable; urgency=low

  [ Julien Valroff ]
  * Update DEP-5 uri

  [ Christophe Monniez ]
  * Imported Upstream version 4.1

 -- Christophe Monniez <christophe.monniez@fccu.be>  Fri, 24 Feb 2012 11:19:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://md5deep.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=forensics/md5deep.git
 Vcs-Git: git://git.debian.org/forensics/md5deep.git

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --with autotools_dev
+
+override_dh_auto_test:
+	# do nothing

=== debian/watch ===
version=3
http://sf.net/md5deep/md5deep-(.+)\.tar\.gz
